.calendar {
  width: 100%;
  height: 100%;

  &Toolbar {

    display: flex;
    align-items: center;
    gap: 20px;
    color: var(---gray-dark);

    &CurrentDate {
      display: flex;
      align-items: center;
      gap: 16px;

      &Label {
        color: var(--dark);
        font-size: var(--font-size-m);
        font-style: normal;
        font-weight: 700;
      }

      &Button{
        cursor: pointer;
      }
    }
  }

  &Dates {
    display: grid;
    grid-template-columns: repeat(7, minmax(0, 1fr));
    background: var(---gray-light);
    gap: 1px;
  }

  &Date {
    min-height: 100px;
    background: var(--white);
    color: var(--dark);
    padding: 4px;
    display: flex;
    flex-direction: column;

    &Day {
      width: 100%;
      text-align: end;
      font-size: var(--font-size-xs);
      font-weight: 300;
      color: var(--dark);
    }

    &Disabled {
      .calendarDateDay {
        color: var(--text-gray);
      }
    }

    &Events {
      align-items: flex-end;
      align-self: stretch;
      background-color: transparent;
      display: flex;
      flex: 0 0 auto;
      flex-direction: column;
      gap: 2px;
      position: relative;
      width: 100%;
      margin-top: 12px;
    }

  }

  &Event {
    align-items: flex-start;
    align-self: stretch;
    background-color: var(--lesson-fill);
    border: 0.5px solid;
    border-color: var(--lesson-stroke);
    border-radius: 2px;
    display: flex;
    flex: 0 0 auto;
    flex-direction: column;
    gap: 4px;
    padding: 2px;
    position: relative;
    width: 100%;
    font-size: var(--font-size-xs);
    font-weight: 400;


    &Time {
      display: flex;
      justify-content: space-between;
      gap: 2px;
      flex: 0 0 auto;
      width: 100%;
    }

    &Icon {
      color: var(--red-light);
    }

    &Lesson {
      font-size: var(--font-size-xxs);
    }
  }

  &Weeks{
    background: transparent;
    display: grid;
    gap: 1px;
    grid-template-columns: repeat(7, minmax(0, 1fr));
    border-bottom: 1px solid var(---gray-light);
    margin-top: 12px;
  }

  &WeekName{
    font-size: var(--font-size-m);
    text-align: end;
    padding: 6px;
  }
}
